Bug 233879

Summary: [GStreamer] test fast/mediastream/get-display-media-settings.html fails
Product: WebKit Reporter: Arcady Goldmints-Orlov <crzwdjk>
Component: WebRTCAssignee: Philippe Normand <pnormand>
Status: RESOLVED FIXED    
Severity: Normal CC: eric.carlson, ews-watchlist, glenn, hta, jer.noble, philipj, pnormand, sergio, tommyw, webkit-bug-importer, youennf
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: PC   
OS: Linux   
See Also: https://bugs.webkit.org/show_bug.cgi?id=235221
Attachments:
Description Flags
Patch none

Description Arcady Goldmints-Orlov 2021-12-06 09:48:59 PST
The test fast/mediastream/get-display-media-settings.html has failed on GTK and WPE since its addition in r286491, because typeof settings.deviceId is "undefined". This is likely because the change in question added support for deviceId for the Cocoa and Mock platforms but not for GStreamer.
Comment 1 Philippe Normand 2021-12-22 06:30:46 PST
Created attachment 447800 [details]
Patch
Comment 2 EWS 2021-12-23 00:47:26 PST
Committed r287386 (245526@main): <https://commits.webkit.org/245526@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 447800 [details].
Comment 3 Radar WebKit Bug Importer 2021-12-23 00:48:20 PST
<rdar://problem/86842768>